summaryrefslogtreecommitdiffstats
path: root/source/ap
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-03-07 20:40:08 +0000
committer Eric Hameleers <alien@slackware.com>2024-03-07 22:49:08 +0100
commit66e838eb2b90374a91406df2f10d14bd6d528f38 (patch)
tree25c41b4a07b80c70ffc1fc20d7dd609f4972877a /source/ap
parentc3fb4577bf0ad3f9a7369ba6b4d9be979de8fc9f (diff)
downloadcurrent-66e838eb2b90374a91406df2f10d14bd6d528f38.tar.gz
current-66e838eb2b90374a91406df2f10d14bd6d528f38.tar.xz
Thu Mar 7 20:40:08 UTC 202420240307204008
ap/ghostscript-10.03.0-x86_64-1.txz: Upgraded. This update addresses a security issue: A vulnerability was identified in the way Ghostscript/GhostPDL called tesseract for the OCR devices, which could allow arbitrary code execution. Thanks to J_W for the heads-up. (* Security fix *) ap/lxc-4.0.12-x86_64-3.txz: Rebuilt. lxc-slackware.in: include gnupg2 (not gnupg) for slackpkg. ap/slackpkg-15.0.10-noarch-3.txz: Rebuilt. core-functions.sh: use gpg2, not gpg. d/Cython-3.0.9-x86_64-1.txz: Upgraded. d/git-2.44.0-x86_64-2.txz: Rebuilt. Include git-subtree. Thanks to gwhl. d/llvm-18.1.0-x86_64-1.txz: Upgraded. Shared library .so-version bump. kde/kdevelop-23.08.5-x86_64-2.txz: Rebuilt. Recompiled against llvm-18.1.0. l/openexr-3.2.3-x86_64-1.txz: Upgraded. l/python-importlib_metadata-7.0.2-x86_64-1.txz: Upgraded. l/python-trove-classifiers-2024.3.3-x86_64-1.txz: Upgraded. l/qt5-5.15.12_20240228_6609503f-x86_64-1.txz: Upgraded. Compiled against llvm-18.1.0. l/qt6-6.6.2_20240210_15b7e743-x86_64-3.txz: Rebuilt. Recompiled against llvm-18.1.0. l/spirv-llvm-translator-18.1.0-x86_64-1.txz: Upgraded. Shared library .so-version bump. n/gnupg2-2.4.5-x86_64-1.txz: Upgraded. n/libassuan-2.5.7-x86_64-1.txz: Upgraded. n/postfix-3.9.0-x86_64-1.txz: Upgraded. x/mesa-24.0.2-x86_64-2.txz: Rebuilt. Recompiled against llvm-18.1.0 and spirv-llvm-translator-18.1.0. isolinux/initrd.img: Rebuilt. Fixed kernel version. Thanks to chrisVV. usb-and-pxe-installers/usbboot.img: Rebuilt. Fixed kernel version. Thanks to chrisVV.
Diffstat (limited to 'source/ap')
-rw-r--r--source/ap/ghostscript/9b6fe6e1008f1b9b7fc3109b5f94db8d970fbcaa.patch52
-rwxr-xr-xsource/ap/ghostscript/ghostscript.SlackBuild7
-rw-r--r--source/ap/ghostscript/ghostscript.url2
-rw-r--r--source/ap/lxc/lxc-slackware.in2
-rwxr-xr-xsource/ap/lxc/lxc.SlackBuild2
-rw-r--r--source/ap/slackpkg/files/core-functions.sh14
-rwxr-xr-xsource/ap/slackpkg/slackpkg.SlackBuild2
7 files changed, 13 insertions, 68 deletions
diff --git a/source/ap/ghostscript/9b6fe6e1008f1b9b7fc3109b5f94db8d970fbcaa.patch b/source/ap/ghostscript/9b6fe6e1008f1b9b7fc3109b5f94db8d970fbcaa.patch
deleted file mode 100644
index 352dbd866..000000000
--- a/source/ap/ghostscript/9b6fe6e1008f1b9b7fc3109b5f94db8d970fbcaa.patch
+++ /dev/null
@@ -1,52 +0,0 @@
-From 9b6fe6e1008f1b9b7fc3109b5f94db8d970fbcaa Mon Sep 17 00:00:00 2001
-From: Ken Sharp <Ken.Sharp@artifex.com>
-Date: Mon, 18 Sep 2023 15:47:12 +0100
-Subject: [PATCH] PDF interpreter - fix PageList processing
-
-Bug #707137 "Error processing PDF while using the parameter -sPageList"
-
-There are actually 2 problems; firstly a copy/paste error of the
-operand stack index when returning the page list meant that the values
-were returned in reverse order.
-
-Secondly the PageList string wasn't actually being passed as an operand
-at all.
-
-This only affects the PDF interpreter because it (unfortunately) uses a
-different mechanism from the PostScript interpreter.
----
- Resource/Init/pdf_main.ps | 3 +--
- psi/zpdfops.c | 2 +-
- 2 files changed, 2 insertions(+), 3 deletions(-)
-
-diff --git a/Resource/Init/pdf_main.ps b/Resource/Init/pdf_main.ps
-index e541835ae..73097f1a7 100644
---- a/Resource/Init/pdf_main.ps
-+++ b/Resource/Init/pdf_main.ps
-@@ -710,8 +710,7 @@ currentdict /PDFSwitches undef
- {
- /PageList where {
- pop
-- pdfpagecount
-- .PDFparsePageList
-+ PageList pdfpagecount .PDFparsePageList
- dup 0 eq { % No ranges, error
- (\n **** Error: Invalid PageList: ) print
- PageList print
-diff --git a/psi/zpdfops.c b/psi/zpdfops.c
-index 207130f1a..e7e0a42ee 100644
---- a/psi/zpdfops.c
-+++ b/psi/zpdfops.c
-@@ -1447,7 +1447,7 @@ static int zPDFparsePageList(i_ctx_t *i_ctx_p)
- }
- /* push the even/odd, start, end triples on the stack */
- for (i=0; i < size; i++) {
-- o = ref_stack_index(&o_stack, 0);
-+ o = ref_stack_index(&o_stack, size - i);
- if (o == NULL)
- return_error(gs_error_stackunderflow);
- /* skip the initial "ordered" flag */
---
-2.34.1
-
-
diff --git a/source/ap/ghostscript/ghostscript.SlackBuild b/source/ap/ghostscript/ghostscript.SlackBuild
index aff004278..af557de3e 100755
--- a/source/ap/ghostscript/ghostscript.SlackBuild
+++ b/source/ap/ghostscript/ghostscript.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2016, 2017, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2016, 2017, 2018, 2021, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,7 +27,7 @@ if [ -r gnu-ghostscript-*.tar.?z ]; then
SRCPREFIX="gnu-"
fi
VERSION=${VERSION:-$(echo $SRCPREFIX$PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -76,9 +76,6 @@ cd ${SRCPREFIX}${PKGNAM}-$VERSION || exit 1
# Remove unmaintained garbage:
rm -rf freetype jpeg lcms2 libpng libtiff png tiff zlib
-# Fix PDF interpreter:
-cat $CWD/9b6fe6e1008f1b9b7fc3109b5f94db8d970fbcaa.patch | patch -p1 --verbose || exit 1
-
# Regenerate ./configure. Needed if patched, or to prevent libtool mismatch.
autoreconf --force --install
( cd jbig2dec ; autoreconf --force --install )
diff --git a/source/ap/ghostscript/ghostscript.url b/source/ap/ghostscript/ghostscript.url
index 3c991552a..12b9848de 100644
--- a/source/ap/ghostscript/ghostscript.url
+++ b/source/ap/ghostscript/ghostscript.url
@@ -1,2 +1,2 @@
https://github.com/ArtifexSoftware/ghostpdl-downloads
-https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs10021/ghostscript-10.02.1.tar.xz
+https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs10030/ghostscript-10.03.0.tar.xz
diff --git a/source/ap/lxc/lxc-slackware.in b/source/ap/lxc/lxc-slackware.in
index ba7d04826..422fa1d82 100644
--- a/source/ap/lxc/lxc-slackware.in
+++ b/source/ap/lxc/lxc-slackware.in
@@ -255,7 +255,7 @@ etc
eudev
findutils
gawk
-gnupg
+gnupg2
gnutls
grep
gzip
diff --git a/source/ap/lxc/lxc.SlackBuild b/source/ap/lxc/lxc.SlackBuild
index 6f28818ca..69951be5f 100755
--- a/source/ap/lxc/lxc.SlackBuild
+++ b/source/ap/lxc/lxc.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=lxc
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | rev | cut -f 2- -d -)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/ap/slackpkg/files/core-functions.sh b/source/ap/slackpkg/files/core-functions.sh
index 824547867..ede3d3f42 100644
--- a/source/ap/slackpkg/files/core-functions.sh
+++ b/source/ap/slackpkg/files/core-functions.sh
@@ -371,11 +371,11 @@ as slackpkg cannot function without awk.\n"
# Check if gpg is enabled but no GPG command are found.
#
- if ! [ "$(which gpg 2>/dev/null)" ] && [ "${CHECKGPG}" = "on" ]; then
+ if ! [ "$(which gpg2 2>/dev/null)" ] && [ "${CHECKGPG}" = "on" ]; then
CHECKGPG=off
echo -e "\n\
gpg package not found! Please disable GPG in ${CONF}/slackpkg.conf or install\n\
-the gnupg package.\n\n\
+the gnupg2 package.\n\n\
To disable GPG, edit slackpkg.conf and change the value of the CHECKGPG \n\
variable to "off" - you can see an example in the original slackpkg.conf.new\n\
file distributed with slackpkg.\n"
@@ -384,7 +384,7 @@ file distributed with slackpkg.\n"
# Check if the Slackware GPG key are found in the system
#
- GPGFIRSTTIME="$(gpg --list-keys \"$SLACKKEY\" 2>/dev/null \
+ GPGFIRSTTIME="$(gpg2 --list-keys \"$SLACKKEY\" 2>/dev/null \
| grep -c "$SLACKKEY")"
if [ "$GPGFIRSTTIME" = "0" ] && \
[ "$CMD" != "search" ] && \
@@ -546,7 +546,7 @@ function checkmd5() {
# Verify the GPG signature of files/packages
#
function checkgpg() {
- gpg --verify ${1}.asc ${1} 2>/dev/null && echo "1" || echo "0"
+ gpg2 --verify ${1}.asc ${1} 2>/dev/null && echo "1" || echo "0"
}
# Fetch $SLACKKEY from a trusted source
@@ -585,8 +585,8 @@ Do you want to import the GPG key from this source? (YES|NO)\n"
# Import $SLACKKEY
function import_gpg_key() {
mkdir -p ~/.gnupg
- gpg --yes --batch --delete-key "$SLACKKEY" &>/dev/null
- gpg --import $TMPDIR/gpgkey &>/dev/null && \
+ gpg2 --yes --batch --delete-key "$SLACKKEY" &>/dev/null
+ gpg2 --import $TMPDIR/gpgkey &>/dev/null && \
echo -e "\t\t\tSlackware Linux Project's GPG key added"
}
@@ -1133,7 +1133,7 @@ Please check your mirror and try again."
rm $TMPDIR/CHECKSUMS.md5
rm $TMPDIR/CHECKSUMS.md5.asc
echo -e "\
-\n\t\tERROR: Verification of the gpg signature on CHECKSUMS.md5\n\
+\n\t\tERROR: Verification of the gpg signature on CHECKSUMS.md5\n\
\t\t failed! This could mean that the file is out of date\n\
\t\t or has been tampered with. If you use mirrors.slackware.com\n\
\t\t as your mirror, this could also mean that the mirror to\n\
diff --git a/source/ap/slackpkg/slackpkg.SlackBuild b/source/ap/slackpkg/slackpkg.SlackBuild
index 78c1ab0d9..eab285bb4 100755
--- a/source/ap/slackpkg/slackpkg.SlackBuild
+++ b/source/ap/slackpkg/slackpkg.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=slackpkg
VERSION=${VERSION:-15.0.10}
ARCH="noarch"
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information